package shapes;

public class Triangle extends TwoDimmensionalShape {
	
	private double a;
	private double b;
	private double c;

	public Triangle(double aa, double bb, double cc)
	{
		if(
			(aa < 0 || bb < 0 || cc < 0)
		  	||
			(aa + bb < cc ||
			aa + cc < bb ||
			bb + cc < aa)
		) {
			a = b = c = 0;
		}
		else {
			a = aa;
			b = bb;
			c = cc;
		}
	}

	@Override
	public double getArea() {
		double s = (a + b + c)/2;
		return Math.sqrt(s*(s-a)*(s-b)*(s-c));
	}
	@Override
	protected String charakteristika()
	{
		return String.format("a=%g,b=%g,c=%g", a,b,c);
	}
}
